Bug 2248735

Summary: gcal throws β€œ***buffer overflow detected***: terminated” error in both Fedora 38 and 39.
Product: [Fedora] Fedora Reporter: Rex Arul <rex.arul>
Component: gcalAssignee: Daiki Ueno <dueno>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 39CC: dueno, mattdm, rex.arul
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
URL: https://discussion.fedoraproject.org/t/gcal-throws-buffer-overflow-detected-terminated-error/84972
Whiteboard:
Fixed In Version: gcal-4.1-24.fc38 gcal-4.1-25.fc39 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-11-18 01:26:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Rex Arul 2023-11-08 15:54:55 UTC
gcal 4.1 version in both Fedora 38 and 39 are continuing to fail. 

Issue this simple command:

 gcal ..

And you will see this error:

*** buffer overflow detected ***: terminated

Apparently, the FORTIFY_SOURCE level changed since F38 is making this latent issue manifested in the open. 

WORKAROUND: Install the same gcal 4.1 version from Fedora Workstation 37's build. That installer's program works just fine.

Reproducible: Always

Steps to Reproduce:
1. invoke gcal -- either with "gcal --version" or "gcal .." 

Actual Results:  
*** buffer overflow detected ***: terminated

With that error, the program exits.

Expected Results:  
1. For gcal --version, version info should be displayed.
2. For gcal .. the current 3-month window (current, previous, and next month) must be displayed.

Despite the same version of gcal (4.1) the last known installer's version that works is from F37. That is how I am working around this problem for now.

Comment 1 Fedora Update System 2023-11-09 02:46:37 UTC
FEDORA-2023-997de7698a has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-997de7698a

Comment 2 Fedora Update System 2023-11-09 02:46:40 UTC
FEDORA-2023-e964b08b38 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e964b08b38

Comment 3 Fedora Update System 2023-11-10 02:18:13 UTC
FEDORA-2023-e964b08b38 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-e964b08b38`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e964b08b38

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-11-10 03:01:21 UTC
FEDORA-2023-997de7698a has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-997de7698a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-997de7698a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Rex Arul 2023-11-16 20:15:24 UTC
(In reply to Fedora Update System from comment #3)
> FEDORA-2023-e964b08b38 has been pushed to the Fedora 39 testing repository.
> Soon you'll be able to install the update with the following command:
> `sudo dnf upgrade --enablerepo=updates-testing --refresh
> --advisory=FEDORA-2023-e964b08b38`
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-2023-e964b08b38
> 
> See also https://fedoraproject.org/wiki/QA:Updates_Testing for more
> information on how to test updates.

π‘°Β π’•π’†π’”π’•π’†π’…Β π’•π’‰π’Šπ’”Β π‘Έπ‘¨Β π’‡π’Šπ’™Β π’‚π’π’…Β π’ˆπ’„π’‚π’Β π’π’π’˜Β π’˜π’π’“π’Œπ’”Β π’”π’–π’„π’„π’†π’”π’”π’‡π’–π’π’π’š.Here are a few demos:

gcal ..


                                  2023


      October                   November                  December
 Su Mo Tu We Th Fr Sa      Su Mo Tu We Th Fr Sa      Su Mo Tu We Th Fr Sa
  1  2  3  4  5  6  7                1  2  3  4                      1  2
  8  9 10 11 12 13 14       5  6  7  8  9 10 11       3  4  5  6  7  8  9
 15 16 17 18 19 20 21      12 13 14 15<16>17 18      10 11 12 13 14 15 16
 22 23 24 25 26 27 28      19 20 21 22 23 24 25      17 18 19 20 21 22 23
 29 30 31                  26 27 28 29 30            24 25 26 27 28 29 30
                                                     31          


gcal -jb

                      November 2023
     Sun     Mon     Tue     Wed     Thu     Fri     Sat
                          1(305)  2(306)  3(307)  4(308)
  5(309)  6(310)  7(311)  8(312)  9(313) 10(314) 11(315)
 12(316) 13(317) 14(318) 15(319)<16(320)>17(321) 18(322)
 19(323) 20(324) 21(325) 22(326) 23(327) 24(328) 25(329)
 26(330) 27(331) 28(332) 29(333) 30(334) 


gcal -q US_GA -n

Eternal holiday list:                      The year 2023 is NO leap year

New Year's Day (US_GA)                   + Mon,  Jan: 2nd:2023 = -318 days
Martin L. King's Day (US_GA)             + Mon,  Jan:16th:2023 = -304 days
Groundhog Day (US_GA)                    - Thu,  Feb  2nd 2023 = -287 days
St Valentine's Day (US_GA)               - Tue,  Feb 14th 2023 = -275 days
Presidents' Day (US_GA)                  + Mon,  Feb:20th:2023 = -269 days
St Patrick's Day (US_GA)                 - Fri,  Mar 17th 2023 = -244 days
All Fool's Day (US_GA)                   - Sat,  Apr  1st 2023 = -229 days
Remembrance/Memorial Day (US_GA)         + Mon,  Apr:24th:2023 = -206 days
Prayer Day (US_GA)                       - Thu,  May  4th 2023 = -196 days
Nurses' Day (US_GA)                      - Sat,  May  6th 2023 = -194 days
Mother's Day (US_GA)                     - Sun,  May 14th 2023 = -186 days
Armed Forces Day (US_GA)                 - Sat,  May 20th 2023 = -180 days
Remembrance/Memorial Day (US_GA)         + Mon,  May:29th:2023 = -171 days
Father's Day (US_GA)                     - Sun,  Jun 18th 2023 = -151 days
Independence Day (US_GA)                 + Tue,  Jul: 4th:2023 = -135 days
Parent's Day (US_GA)                     - Sun,  Jul 23rd 2023 = -116 days
Friendship Day (US_GA)                   - Sun,  Aug  6th 2023 = -102 days
Labour Day (US_GA)                       + Mon,  Sep: 4th:2023 =  -73 days
Grandparents' Day (US_GA)                - Sun,  Sep 10th 2023 =  -67 days
Citizenship Day (US_GA)                  - Sun,  Sep 17th 2023 =  -60 days
Children's Day (US_GA)                   - Sun,  Oct  8th 2023 =  -39 days
Columbus Day (US_GA)                     + Mon,  Oct: 9th:2023 =  -38 days
Bosses' Day (US_GA)                      - Mon,  Oct 16th 2023 =  -31 days
Sweetest Day (US_GA)                     - Sat,  Oct 21st 2023 =  -26 days
Mother in Law's Day (US_GA)              - Thu,  Oct 26th 2023 =  -21 days
Halloween (US_GA)                        - Tue,  Oct 31st 2023 =  -16 days
Veteran's Day (US_GA)                    + Sat,  Nov:11th:2023 =   -5 days
Thanksgiving Day (US_GA)                 + Thu,  Nov:23rd:2023 =   +7 days
Thanksgiving Day (US_GA)                 + Fri,  Nov:24th:2023 =   +8 days
Christmas Eve (US_GA)                    + Sun,  Dec:24th:2023 =  +38 days
Christmas Day (US_GA)                    + Mon,  Dec:25th:2023 =  +39 days
Kwanzaa (US_GA)                          - Tue,  Dec 26th 2023 =  +40 days
Kwanzaa (US_GA)                          - Wed,  Dec 27th 2023 =  +41 days
Kwanzaa (US_GA)                          - Thu,  Dec 28th 2023 =  +42 days
Kwanzaa (US_GA)                          - Fri,  Dec 29th 2023 =  +43 days
Kwanzaa (US_GA)                          - Sat,  Dec 30th 2023 =  +44 days
Kwanzaa (US_GA)                          - Sun,  Dec 31st 2023 =  +45 days

Comment 6 Fedora Update System 2023-11-18 01:26:05 UTC
FEDORA-2023-997de7698a has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-11-18 01:37:48 UTC
FEDORA-2023-e964b08b38 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.